from django.urls import path

from home.views import (HomeDetailView, AboutMeDetailView, MyServiceList, MyServiceTitleDetailView,
                        MyResumeDetailView, EducationListView, ExperienceListView, SkillListView, KnowledgeListView,
                        MainMenuDetailView, HomeBundleView)

urlpatterns = [
    path('home/', HomeDetailView.as_view(), name='home'),
    path('aboutme/', AboutMeDetailView.as_view(), name='aboutme'),
    path('services/', MyServiceList.as_view(), name='services'),
    path('services-title/', MyServiceTitleDetailView.as_view(), name='services-title'),
    path('resume/', MyResumeDetailView.as_view(), name='resume'),
    path('education/', EducationListView.as_view(), name='education'),
    path('experience/', ExperienceListView.as_view(), name='experience'),
    path('skills/', SkillListView.as_view(), name='skills'),
    path('knowledge/', KnowledgeListView.as_view(), name='knowledge'),
    path('main-menu/', MainMenuDetailView.as_view(), name='main.menu'),
    path('bundle/', HomeBundleView.as_view(), name='home.bundle'),
]
